AdfUIListView.$SELECTION_LISTENER_KEY$ = "afrSelListener";
$goog$exportSymbol$$("AdfUIListView.SELECTION_LISTENER_KEY", AdfUIListView.$SELECTION_LISTENER_KEY$);
AdfUIListView.prototype.$findComponent$ = function $AdfUIListView$$$findComponent$$($scopedId$$2$$, $rowKey$$158$$) {
  return void 0 != $rowKey$$158$$ ? ($scopedId$$2$$ = this.$getClientId$() + ":" + $rowKey$$158$$ + ":" + $scopedId$$2$$, $AdfPage$$.$PAGE$.$findComponent$($scopedId$$2$$)) : AdfUIListView.$superclass$.$findComponent$.call(this, $scopedId$$2$$);
};
$AdfObject$$.$exportPrototypeSymbol$("AdfUIListView.prototype.findComponent", {$findComponent$:AdfUIListView.prototype.$findComponent$});
AdfUIListView.prototype.$GetChanges$ = function $AdfUIListView$$$GetChanges$$() {
  var $changes$$8$$ = AdfUIListView.$superclass$.$GetChanges$.call(this), $disclosed$$19_selectionState$$1$$ = $changes$$8$$[AdfUIListView.GROUP_DISCLOSED_ROW_KEYS];
  if ($disclosed$$19_selectionState$$1$$) {
    var $state$$106$$ = [], $i$$800$$ = 0, $key$$122$$;
    for ($key$$122$$ in $disclosed$$19_selectionState$$1$$) {
      $state$$106$$[$i$$800$$++] = $key$$122$$;
    }
    $changes$$8$$[AdfUIListView.GROUP_DISCLOSED_ROW_KEYS] = $state$$106$$.join("$afr$");
  }
  if ($disclosed$$19_selectionState$$1$$ = $changes$$8$$[AdfUIListView.SELECTED_ROW_KEYS]) {
    var $state$$106$$ = [], $rowKey$$159$$;
    for ($rowKey$$159$$ in $disclosed$$19_selectionState$$1$$) {
      $state$$106$$.push($rowKey$$159$$);
    }
    $changes$$8$$[AdfUIListView.SELECTED_ROW_KEYS] = $state$$106$$.join("$afr$");
  }
  return $changes$$8$$;
};
$AdfObject$$.$exportPrototypeSymbol$("AdfUIListView.prototype.GetChanges", {$GetChanges$:AdfUIListView.prototype.$GetChanges$});
AdfUIListView.prototype.$DeliverDerivedPropertyEvents$ = function $AdfUIListView$$$DeliverDerivedPropertyEvents$$($peer$$245_propName$$37$$, $oldValue$$122_selectionEvent$$, $newValue$$196$$) {
  $peer$$245_propName$$37$$ == AdfUIListView.SELECTED_ROW_KEYS && ($peer$$245_propName$$37$$ = this.$getPeer$()) && $peer$$245_propName$$37$$.$canDeliverSelectionEvent$ && $peer$$245_propName$$37$$.$canDeliverSelectionEvent$() && ($oldValue$$122_selectionEvent$$ = $AdfRowKeySetChangeEvent$$.$createRowKeySetChangeEvent$(this, $AdfSelectionEvent$$.$SELECTION_EVENT_TYPE$, $oldValue$$122_selectionEvent$$, $newValue$$196$$)) && $oldValue$$122_selectionEvent$$.$queue$();
};
$AdfObject$$.$exportPrototypeSymbol$("AdfUIListView.prototype.DeliverDerivedPropertyEvents", {$DeliverDerivedPropertyEvents$:AdfUIListView.prototype.$DeliverDerivedPropertyEvents$});
AdfUIListView.prototype.$setGroupDisclosedRowKey$ = function $AdfUIListView$$$setGroupDisclosedRowKey$$($rowKey$$160$$, $disclosed$$20$$) {
  $AdfAssert$$.$assertString$($rowKey$$160$$);
  $AdfAssert$$.$assertBoolean$($disclosed$$20$$);
  if ($disclosed$$20$$ == this.$isGroupDisclosed$($rowKey$$160$$)) {
    return !1;
  }
  var $newState$$3_peer$$246$$ = this.$getPeer$();
  if ($newState$$3_peer$$246$$ && $newState$$3_peer$$246$$.$isDisclosureFetchPending$()) {
    return !1;
  }
  var $disclosureEvent$$6_oldState$$5$$ = this.getGroupDisclosedRowKeys(), $newState$$3_peer$$246$$ = {};
  $AdfCollections$$.$copyInto$($newState$$3_peer$$246$$, $disclosureEvent$$6_oldState$$5$$);
  $disclosed$$20$$ ? $newState$$3_peer$$246$$[$rowKey$$160$$] = !0 : delete $newState$$3_peer$$246$$[$rowKey$$160$$];
  ($disclosureEvent$$6_oldState$$5$$ = $AdfRowKeySetChangeEvent$$.$createRowKeySetChangeEvent$(this, $AdfRowDisclosureEvent$$.$ROW_DISCLOSURE_EVENT_TYPE$, $disclosureEvent$$6_oldState$$5$$, $newState$$3_peer$$246$$)) && $disclosureEvent$$6_oldState$$5$$.$queue$();
  if ($disclosureEvent$$6_oldState$$5$$.$isCanceled$()) {
    return !1;
  }
  this.setGroupDisclosedRowKeys($newState$$3_peer$$246$$);
  return !0;
};
$AdfObject$$.$exportPrototypeSymbol$("AdfUIListView.prototype.setGroupDisclosedRowKey", {$setGroupDisclosedRowKey$:AdfUIListView.prototype.$setGroupDisclosedRowKey$});
AdfUIListView.prototype.$isGroupDisclosed$ = function $AdfUIListView$$$isGroupDisclosed$$($rowKey$$161$$) {
  var $state$$107$$ = this.getGroupDisclosedRowKeys();
  return $state$$107$$ ? $state$$107$$[$rowKey$$161$$] : !1;
};
$AdfObject$$.$exportPrototypeSymbol$("AdfUIListView.prototype.isGroupDisclosed", {$isGroupDisclosed$:AdfUIListView.prototype.$isGroupDisclosed$});
